Client programs throw warnings about memory loss when executed with --help or alike

Bug #959701 reported by Elena Stepanova on 2012-03-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MariaDB
Fix Released
Low
Sergei Golubchik

Bug Description

When a client problem is executed with --version, or --help, or without parameters, it throws warnings about lost bytes, e.g.

Warning: 484 bytes lost, allocated at mysys/my_alloc.c:217, mysys/default.c:1203, mysys/default.c:524, mysys/default.c:468, client/mysqladmin.cc:310, ??:0
Warning: 1024 bytes lost, allocated at mysys/array.c:65, mysys/hash.c:92, mysys/thr_mutex.c:186, mysys/thr_mutex.c:323, sql-common/client_plugin.c:262, libmysql/libmysql.c:134, sql-common/client.c:1708, client/mysqladmin.cc:310
Warning: 1024 bytes lost, allocated at mysys/array.c:65, mysys/hash.c:92, mysys/thr_mutex.c:181, mysys/thr_mutex.c:323, sql-common/client_plugin.c:262, libmysql/libmysql.c:134, sql-common/client.c:1708, client/mysqladmin.cc:310

etc.

From the standard set of binaries produced with DCMAKE_BUILD_TYPE=Debug without any other parameters, observed on
- mysqladmin
- mysqlcheck
- mysqldump (it's message also looks strange: (Warning: 15 bytes lost, allocated at addr2line: 'mysqldump': No such file")
- mysqlimport
- mysql_plugin
- mysqlshow
- mysqlslap
- mysql_upgrade

maria/5.5
<email address hidden>
date: 2012-03-17 12:16:57 -0700
build-date: 2012-03-20 00:49:08 +0400
revno: 3334

Also reproducible on maria/5.5-serg
revision-id: <email address hidden>
date: 2012-03-16 10:04:23 +0100
build-date: 2012-03-20 00:49:47 +0400
revno: 3329

Not reproducible on maria/5.3, mysql-server/5.5, mysql-server/trunk.

To reproduce,

- build the client program using cmake .. -DCMAKE_BUILD_TYPE=Debug && make;
- start the client program, e.g. client/mysqladmin --help
- see output.

Elena Stepanova (elenst) wrote :

Also filed in JIRA as MDEV-186

Changed in maria:
status: New → Fix Released
status: Fix Released → Fix Committed
Changed in maria:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers